#ifndef sysdep_h
#define sysdep_h
#if defined(SunOS4)
#include <sys/stat.h>
int lstat(char *, struct stat *);
#endif

#if defined(sparc) || defined (linux)
typedef int srsize_t;
#endif
typedef size_t swsize_t;



#if defined(HPUX)
#	define __file __fileL
#elif defined(sparc) || defined(SYSVR4)
#	define __file _file
#endif

#if defined(sparc) || defined(linux)
#	define S_ISNAM S_ISSOCK
#endif
#if defined(linux)
#   define _S_IFMT S_IFMT
#endif

#if !defined(S_IFLNK) 
#	define		S_IFLNK	0120000	/* symbolic link */
#endif
#if !defined(S_ISLNK) && !defined(linux)
#	define		S_ISLNK(m)	(((m) & _S_IFMT) == _S_IFLNK)
#endif
#if !defined(S_IFNAM)
#	define		S_IFNAM 0050000 /* special named file */
#endif
#if !defined(S_ISNAM)
#	define		S_ISNAM(m)	(((m) & _S_IFMT) == _S_IFNAM)
#endif

#if defined(_POSIX_SOURCE) || defined(HPUX)
#	if defined(HPUX)
#		define __d_ino d_ino
#		define __pw_passwd pw_passwd
#		define __pw_comment pw_comment
#		define __gr_passwd gr_passwd
#	elif defined(SCO)
#		define st_rdev __pad1
#	endif
#endif

#ifndef __dd_fd
#	define __dd_fd dd_fd
#	define __dd_loc dd_loc
#	define __dd_size dd_size
#	define __dd_buf dd_buf
#endif

#ifdef bsd
#define atexit on_exit
#endif
		

#endif
